<lib-condensed-header-layout
  [pageTitle]="'feature_citizen_services.module_name' | transloco"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <lib-refresher (ionRefresh)="refreshView($event)"></lib-refresher>
  <ion-grid
    class="ion-no-padding flex-list-subsections"
    id="mainCitizenServices"
  >
    <lib-connectivity-error-handling-card
      [show]="!isConnected"
      [title]="
        'feature_citizen_services.connectivity-error.title_dashboard'
          | transloco
      "
    ></lib-connectivity-error-handling-card>

    @if (isConnected) {
      <p class="sub-header">
        {{ 'feature_citizen_services.dashboard.sub_headings' | transloco }}
      </p>
      <div class="flex-list-minor">
        <p class="title" *ngIf="popularServices.length > 0">
          {{
            'feature_citizen_services.dashboard.service_list.popular'
              | transloco
          }}
        </p>
        <lib-service-list
          lang="de"
          translate="no"
          [services]="popularServices"
          [loading]="loadingPopularServices"
        ></lib-service-list>
      </div>

      <div class="flex-list-minor">
        <p class="title">
          {{
            'feature_citizen_services.dashboard.service_list.general'
              | transloco
          }}
        </p>
        <lib-category-folder-list
          [tags]="serviceTags"
          [loading]="loadingServiceTags"
        ></lib-category-folder-list>
      </div>
    }
  </ion-grid>
</lib-condensed-header-layout>
